#!/opt/bin/perl
open(GREG, ">mkpl.greg") ;
#
print GREG "GREG1\\SET/DEFAULT \n" ;
print GREG "GREG1\\PENCIL/DEFAULT \n" ;
print GREG "GREG1\\TICKSPACE 0 0 0 0 \n" ;
print GREG "set fon dup \n" ;
print GREG "set exp 1.3 \n" ;
print GREG "dev xl whi \n" ;

#
foreach $file (<data.*>) {
    ($head, $freq) = split(/\./, $file) ;
    $ps_out = $freq . ".ps" ;
    print GREG "cl pl \n" ;
    print GREG "col x 1 y 2 /file ", $file, "\n" ;
    print GREG "GREG1\\LIMITS * * -.1 1.1 \n" ;
    print GREG "GREG1\\BOX \n" ;
    print GREG "GREG1\\CONNECT \n" ;
    print GREG "GREG1\\DRAW TEXT -2.9 0 \"Transmission\" 5 90./BOX 4 \n" ;
    print GREG "GREG1\\DRAW TEXT 0 -1.8 \"Frequency (GHz)\" 5 0./BOX 2 \n" ;
    print GREG "GREG1\\DRAW TEXT 0. 1. " ;
    print GREG "\"US Standard Atmosphere   " ;
    print GREG "12.5 km altitude   " ;
    print GREG "30\\uo elevation angle\" 5 0./BOX 8\n" ;
    print GREG "har ", $ps_out, " /dev ps fas \n" ;
    print GREG "\n" ;
}
close(GREG) ;
