#!/opt/bin/perl
open(SP, "spec273.cont") ;
$k_open = 0 ;
while(<SP>) {
   ($freq, $emiss) = split ;
   $freq = $freq*29.9792458 ;
#
#  Note: file is in radiance wrt. 273.15 K blackbody
#        but atmosphere temp is 216.65 K at 12.5 km, rising
#        slowly with altitude, so we have to kludge here.
#
   $trans = 1.-$emiss/0.807 ; 
   if($trans < 0.) {
       $trans = 0. ;
   }
#
   $kv = int ($freq/100. +1) ;
#   print $freq, "   ", $kv, "\n" ;
   if(OUT) {
       if($kv != $k_open) {
	   close(OUT) ;
           $file_out = ">data." . $kv . "00" ;
           print "Opening ", $file_out, " for output \n" ;
           open(OUT, $file_out) ;
           $k_open = $kv ;
       }
      
   }
   else {
       $file_out = ">data." . $kv . "00" ;
       print "Opening ", $file_out, " for output \n" ;
       open(OUT, $file_out) ;
       $k_open = $kv ;
   }
   print OUT $freq, "   ", $trans, "\n" ;
}
close(SP) ;
close(OUT) ;
